qombinatorics

Science

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
5 .0
Description:

qombinatorics is a graphical user interface to combinatorics calculus. With it you can easily calculate permutation and combination of objects, as well as binomial coefficients.

The results can be employed in many fields of statistics and probability calculation, graph theory and so on... The software can also be useful for amusing activities like card playing.

To my knowledge this is the first app devoted to this subject, so please let me know your opinion and if you have some requests for additional features.
Last changelog:

12 years ago

0.2
GUI was redesigned

0.1
Initial release.

C

alepisa

12 years ago

Hello everybody!
Can anyone provide me feedback about succesful installation, please?

Thanks in advance!

Report

Wake

12 years ago

I just finished installing on Open Suse 10.3 64-bit. I had to install python-qt4 and python-devel packages and all was good! Thanks.

Report

C

alepisa

12 years ago

Thanks for your help!

Report

pejakm

12 years ago

Great!!! Thanks for this!

Report

C

alepisa

12 years ago

Thanks! You are welcome!
If you have any suggestion or feature request I will be pleased to try to implent it!

Report

pejakm

12 years ago

Sure, as soon as I manage to run it. I keep getting this error:

Quote:Traceback (most recent call last):
File "./qombinatorics", line 34, in ?
from qombinatorics.QombGui import *
ImportError: No module named qombinatorics.QombGui

I have python-qt-3.5.4 installed. Where do I wrong?

Report

pejakm

12 years ago

I got, my mistake. But I don't have PyQT4 installed, and download from here:

http://opendesktop.org/content/show.php?content=28477

is broken...

Report

C

alepisa

12 years ago

The applications needs PyQt4 and it can be downloaded from http://www.riverbankcomputing.co.uk/pyqt/download.php.

Which is your distribution? Probably there is an easier way to install it.


Report

pejakm

12 years ago

Mandriva 2007.
The link you provided is the same link which is broken... Oh, well, I'll just have to wait...

Report

C

alepisa

12 years ago

I am using mandriva 2008.0 right now and with it you can install PyQt4 with the command: urpmi python-qt4

This will probably pull the needed packages. Mandriva provides:
python-qt4-core python-qt4-devel python-qt4-network python-qt4-qscintilla python-qt4-sql python-qt4-test
python-qt4-assistant python-qt4-designer python-qt4-gui python-qt4-opengl python-qt4-script python-qt4-svg python-qt4-xml

I do not know if there is a precompiled package for mandriva 2007. Anyway it could be a nice change for upgrading your distribution :)

Report

12 years ago

0.2
GUI was redesigned

0.1
Initial release.

12345678910
product-maker Base: 4 x 5.0 Ratings
Be the first to comment
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.2
updated Jan 14 2008
added Jan 03 2008
downloads 24h
0
mediaviews 24h 0
pageviews 24h 1
System Tags app software